Subject: Re: Strange failure with CVS and diff
From: [email-masked] (Shankar Unni)

7 Feb 1997 10:52:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Jeffery G. Smith" at Feb 7, 97 08:46:43 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Jeffery G. Smith said:

> I've noticed the same thing but in my case everything works correctly, I
> just get the diff output to the screen as a "bonus".  In other words,
> the diff output seems to be getting to the rcs file ok but I also get it
> to the screen.

Are you sure it's getting to the file OK? The RCS file does get updated
with the new contents, but the RCS log shows that "+0 -0" lines were
added, and RCS thinks that the entire new contents were checked in as 1.1,
with no changes in any of the subsequent versions (which sort of defeats
the purpose of RCS :-).

Try an "rlog" on your file, and see if you have real (non-0) differences
between the versions..
-- 
Shankar Unni                                  [email-masked]
Chromatic Research                            (408) 752-9488
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".